Bug 491674 - Use relative paths in HTTP requests via m2urllib2
Use relative paths in HTTP requests via m2urllib2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: m2crypto (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE
:
Depends On:
Blocks: 490077
  Show dependency treegraph
 
Reported: 2009-03-23 11:20 EDT by James Bowes
Modified: 2013-01-10 05:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use relative file paths in https requests (1.15 KB, patch)
2009-03-23 11:21 EDT, James Bowes
no flags Details | Diff

  None (edit)
Description James Bowes 2009-03-23 11:20:03 EDT
HTTP requests have the form:
GET $SOME_RESOURCE HTTP/1.1

where $SOME_RESOURCE can either be a relative path ("/index.html") or an absolute URI ("https://my-server.com/index.html").

m2urllib2 always uses absolute URIs, which is technically correct, but not understood by some webservers. The attached patch switches to using relative paths for both direct connections, and for requests routed through a proxy via the CONNECT directive.
Comment 1 James Bowes 2009-03-23 11:21:00 EDT
Created attachment 336304 [details]
use relative file paths in https requests
Comment 3 Miloslav Trmač 2009-03-23 13:35:29 EDT
Thanks for your report.

The second hunk is already upstream, I have filed the first one as https://bugzilla.osafoundation.org/show_bug.cgi?id=12760 .
Comment 8 errata-xmlrpc 2009-09-02 07:20:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1351.html

Note You need to log in before you can comment on or make changes to this bug.